module.exports = function (grunt) {
  require('load-grunt-tasks')(grunt)
  require('time-grunt')(grunt)

  grunt.initConfig({
    copy: {
      dist: {
        expand: true,
        cwd: 'src/html',
        src: '**/*.html',
        dest: 'dist/',
        flatten: true
      },
      js: {
        expand: true,
        cwd: 'src/js',
        src: '**/*.js',
        dest: 'dist/js/',
        flatten: true
      }
    },
    less: {
      options: {
        compress: true
      },
      files: {
        expand: true,
        cwd: 'src/',
        src: '**/*.less',
        dest: 'dist',
        ext: '.css'
      }
    },
    uglify: {
      dist: {  
        expand: true,
        cwd: 'src/',
        src: '**/*.js',
        dest: 'dist'
      }
    },
    watch: {
      files: 'src/**/*',
      tasks: ['copy', 'less']
      // tasks: ['copy', 'less', 'uglify']
    }
  })

  grunt.registerTask('default', ['copy', 'less', 'uglify'])
}